## org.apache.http
Interface HeaderElementIterator

All Superinterfaces:
  Iterator<Object>

All Known Implementing Classes:
  BasicHeaderElementIterator

    public interface HeaderElementIterator

extends Iterator<Object>

A type-safe iterator for `HeaderElement` objects.

Since:
  4.0

Method Summary
`boolean` `hasNext()` Indicates whether there is another header element in this iteration.
`HeaderElement` `nextElement()` Obtains the next header element from this iteration.

Methods inherited from interface java.util.Iterator
`next, remove`

Method Detail

### hasNext

    boolean hasNext()

  Indicates whether there is another header element in this iteration.

  Specified by:
    `hasNext` in interface `Iterator<Object>`
  Returns:
    `true` if there is another header element, `false` otherwise

### nextElement

    HeaderElement nextElement()

  Obtains the next header element from this iteration. This method should only be called while `hasNext` is true.

  Returns:
    the next header element in this iteration

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.